com.thinkaurelius.titan.diskstorage

## Class PermanentBackendException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.thinkaurelius.titan.diskstorage.BackendException
      - - com.thinkaurelius.titan.diskstorage.PermanentBackendException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PermanentLockingException

      public class PermanentBackendException
      extends BackendException

  This exception signifies a permanent exception in a Titan storage backend, that is, an exception that is due to a permanent failure while persisting data.

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermanentBackendException(String msg)`
    `PermanentBackendException(String msg, Throwable cause)`
    `PermanentBackendException(Throwable cause)` Constructs an exception with a generic message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermanentBackendException

          public PermanentBackendException(String msg)

      Parameters:
        `msg` - Exception message

    - #### PermanentBackendException

          public PermanentBackendException(String msg,
                                   Throwable cause)

      Parameters:
        `msg` - Exception message
        `cause` - Cause of the exception

    - #### PermanentBackendException

          public PermanentBackendException(Throwable cause)

      Constructs an exception with a generic message
      Parameters:
        `cause` - Cause of the exception

Copyright © 2012–2014. All rights reserved.